package fanch.multijeu.findwords.data.checker;

import fanch.multijeu.common.core.Saveable;

public abstract class AbstractWordCheckerList extends Saveable implements WordCheckerList {


    AbstractWordCheckerList(WordChecker.Attrs a)
    {
        if(a==null) a=new WordChecker.Attrs();
        setAttrs(a);
    }

    protected WordChecker.Attrs mAttrs;
    public WordChecker.Attrs getAttrs() {
        return mAttrs;
    }

    public void setAttrs(WordChecker.Attrs mAttrs) {
        if(mAttrs!=null) this.mAttrs = mAttrs;
        else mAttrs=new WordChecker.Attrs();
    }
}
